2019-11-21 12:21 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000187Spring engineGeneralpublic2008-01-21 00:05
ReporterUSF 
Assigned Totvo 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000187: Screen flashes on first building selection
DescriptionHello,

I played TA Spring and noticed that at any point I select a building, the screen will flash up white. This happens only the first time the building is selected, every selection beyond that point will not result in such a flash, even if i deselect and reselect that or another unit to build that same building.

After turning all graphic settings down. 1/4 of the screen was flashing on building-selection but at a random location. I could not determine which setting exactly it was (maybe a combination of several settings).
Additional InformationAthlon 64 Bit
Radeon 9800XT with Catalyst 6.3 driver
2x 512MB DDR2-RAM
Windows XP Professional SP2
Creative Sounblaster Live 5.1 with NGO modded driver
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0000769resolvedtvo Random gray/white flickering 
+Relationships

-Notes

~0000204

USF (reporter)

I noticed that the problem only occurs when buildings haven't been present on the map before. When I load a savegame e.g. the flashing will not occur for buildings that are already beeing build but will still happen when a building is not there.
I have created a small video of said problem, which can be found here for the next 7 days, i hope:

http://www.yousendit.com/transfer.php?action=download&ufid=C8B2055768DFFB29

The "upload file"-option here did not work for me.

Graphics settings have all been turned up here, except anti aliasing.

~0000387

tvo (reporter)

does this still happen with 0.73b1 test build 3 or later?

~0000395

USF (reporter)

Yes the problem still exists. Shall I create another video?

~0000419

auxsvr (reporter)

It also happens on radeon 9200 both windows and linux fglrx 8.25.18-1 versions (spring 0.73b1). The colour that appears is not white though, it is grey if it matters at all.

~0000449

Relinquished (reporter)

I have a radeon 9200 and I'm not getting that problem at all

~0000611

tvo (reporter)

does it still happen with 0.74b3? (lots of code related to this changed)

~0000613

USF (reporter)

Sorry, I cannot help anymore with this issue, because I changed all of my hardware (Nvidia 8800GTX). The problem doesn't occur anymore though.

~0000618

redstar (reporter)

This issue is not specific to pickign build items, rather its a general bug with displaying transparent buildings. This can eb reproduced by usign the DrawUnit AI callback durign which sometimes it momentarily lag spikes allowing you to take a screenshot fo whats happening:

http://img157.imageshack.us/my.php?image=drawunitoddity5dm.png

As you can see spring draws a solid gray colour and then the unit model from the side with a solid white texture, and then draws the GUI ontop of it.

~0001876

tvo (reporter)

Should be fixed by this commit:

5360 created by tvo on 20 January 2008, 23:59:38 +0100 (3 minutes ago) (patch)
* Fix gray flashing when Fartextures are rendered by queueing up far texture
  creation requests and rendering them all at once the next frame before
  normal world rendering.
* Fix compile error with gcc 3.4.
+Notes

-Issue History
Date Modified Username Field Change
2006-05-30 21:20 USF New Issue
2006-05-31 18:29 USF Note Added: 0000204
2006-09-22 12:39 tvo Status new => assigned
2006-09-22 12:39 tvo Assigned To => tvo
2006-09-22 12:39 tvo Assigned To tvo =>
2006-09-22 12:40 tvo Status assigned => new
2006-09-22 12:40 tvo Note Added: 0000387
2006-09-22 12:40 tvo Status new => feedback
2006-09-25 17:05 USF Note Added: 0000395
2006-10-30 12:46 auxsvr Note Added: 0000419
2006-11-29 23:39 Relinquished Note Added: 0000449
2007-01-25 16:34 tvo Note Added: 0000611
2007-01-25 17:53 USF Note Added: 0000613
2007-01-25 23:44 redstar Note Added: 0000618
2008-01-21 00:04 tvo Relationship added related to 0000769
2008-01-21 00:04 tvo Status feedback => assigned
2008-01-21 00:04 tvo Assigned To => tvo
2008-01-21 00:05 tvo Status assigned => resolved
2008-01-21 00:05 tvo Resolution open => fixed
2008-01-21 00:05 tvo Note Added: 0001876
+Issue History